#!/usr/bin/python
# -*- coding: utf-8 -*-

from pathlib import Path

from setuptools import find_packages, setup

VERSION = open("carta_envoy/_version.py").readlines()[-1].split()[-1].strip("\"'")
README = Path("README.md").read_text()

requires = ["pycapo", "redis", "requests", "pendulum"]

setup(
    name="ssa-" + Path().absolute().name,
    version=VERSION,
    description="Workspaces system for launching CARTA for viewing images",
    long_description=README,
    author="NRAO SSA Team",
    author_email="dms-ssa@nrao.edu",
    url="TBD",
    license="GPL",
    install_requires=requires,
    keywords=[],
    packages=find_packages(),
    classifiers=["Programming Language :: Python :: 3.8"],
    entry_points={"console_scripts": ["carta_envoy = carta_envoy.carta:main"]},
)
