# URL
### Planned
`<workspaces-url>/request-status/<request-id>`

### Actual
`<workspaces-url>/<capability-name>/request`

# Components

1. Header:
  - Request id
  - Status badge/button(?) (running, finished, etc.)
  - Created on date-time
  - Last updated on date-time
2. Capability definition
  - Name of capability
  - Steps and their statuses
  - Download button if complete; cancel button if running
3. Parameters
  - Lists the parameters
4. Previous version list
  - Display 3 previous versions
  - Show more... button that loads 3 more
4. Previous version
  - Version number
  - Status of version's run (running, finished, etc.)
  - Parameters (reuse 3(?))
  - Last updated on date (may not exist in DB right now)

#### Testing Hints
These were the `insert`s required to test WS-650, which involved an addition to the UI. 
The statements insert sufficient data to do a standard image restore.
Others might find this info useful.

-- JLG, 2021-09-21
```
insert into projects (project_code, title, abstract)
values ('18A-074', 'Constraining the Total Gas Radial Profiles...',
        'In the local universe, we find that galaxies...')
commit;

insert into authors (author_id, project_code, username, firstname, lastname, pst_person_id, is_pi)
values (42425, '18A-074', 'ChristineWilson', 'Christine', 'Wilson', 371, 'f');
insert into authors (author_id, project_code, username, firstname, lastname, pst_person_id, is_pi)
values (42426, '18A-074', 'ak2mok', 'Angus', 'Mok', 7904, 't');
commit;

insert into filegroups(filegroup_id, project_code, datasize, type)
    VALUES (220829, '18A-074', -1, 'execution_block');
insert into filegroups(filegroup_id, parent_filegroup_id, datasize, type)
VALUES (220830, 220829,  3051360, 'rawdata');
insert into filegroups(filegroup_id, parent_filegroup_id, type)
VALUES (220861, 220829,  'calibration');
commit;

insert into files (file_id, ngas_id, filegroup, filename, filesize, format, type, ngas_location, ngas_cluster)
values (26555420, '18A-074_2018_09_27_T22_39_51.722.tar',220861, '18A-074_2018_09_27_T22_39_51.722.tar',
        30924800, 'tar', 'cal', 'DSOC', 'DSOC');
commit;

insert into calibrations (calibration_id, project_code, execution_block_id, filegroup_id, science_product_locator)
values (8157, '18A-074', 106333, 220861, 'uid://evla/calibration/6a940d35-c714-47a2-ac4a-1df6182ee83f');
commit;

insert into science_products (science_product_locator, science_product_type,
                              external_name, filegroup_id, metadata_ingestion_date, metadata_ingestion_version)
values ('uid://evla/execblock/35b23178-0dde-4167-82fd-9bd6128a80a1',
        'Execution Block', '18A-074.sb35417664.eb35617702.58388.89861657408',
        220829, '2019-12-12 16:04:02.11191', 1);
insert into science_products (science_product_locator, science_product_type,
                              external_name, filegroup_id, metadata_ingestion_date, metadata_ingestion_version)
values ('uid://evla/calibration/6a940d35-c714-47a2-ac4a-1df6182ee83f',
        'Calibration', '8A-074_2018_09_27_T22_39_51.722.tar', 220861, '2019-12-12 16:04:02.11191', 1);
commit;
-- execution_blocks (I did this directly in IJ table view):
-- 106333,NULL,220829,0,EVLA,NULL,NULL,8A-074.sb35417664.eb35617702.58388.89861657408,18A-074,NULL,NULL,Unknown,NULL,NULL,false,NULL,NULL,uid://evla/execblock/35b23178-0dde-4167-82fd-9bd6128a80a1,execblock
```
