import pendulum

from . import create_session
from .model import t_logs as logs

session = create_session('SDM')


def since(time):
    query = logs.select().where(logs.c.timestamp > time).order_by('timestamp')
    return [dict(r) for r in session.execute(query)]


def for_request(request_id):
    query = logs.select().\
        where(
            logs.c.properties['requestId'].astext == str(request_id)).\
        order_by('timestamp').\
        limit(100)
    return list(dict(r) for r in session.execute(query))


if __name__ == '__main__':
    print('since:')
    print(since(pendulum.now().subtract(hours=1)))
    print()
    print('for 13099859:')
    print(for_request(13099859))
